Bug 1395539 - ganesha-ha.conf --status should validate if the VIPs are assigned to right nodes
Summary: ganesha-ha.conf --status should validate if the VIPs are assigned to right nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: common-ha
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Kaleb KEITHLEY
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1364410 1393966 1394815 1395648 1395649 1395652
TreeView+ depends on / blocked
 
Reported: 2016-11-16 06:28 UTC by Soumya Koduri
Modified: 2017-03-23 06:18 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1394815
: 1395648 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:18:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 2 Soumya Koduri 2016-11-16 06:29:54 UTC
This bug is to address subset of what has been requested above.

Verifying if the VIPs are assigned to their respective nodes and in STARTED state shall confirm if the services nfs-ganesha, pacemaker/corosync etc are started and the node is healthy. As part of this BZ, this validation shall be added to '--status' option so that gdeploy can use it for cluster health check.

Comment 6 Atin Mukherjee 2016-11-21 06:44:11 UTC
upstream mainline patch http://review.gluster.org/15882 posted for review.

Comment 8 Arthy Loganathan 2016-11-25 07:49:14 UTC
Even if are the nodes are healthy, ganesha-ha.sh --status shows Cluster HA Status as Bad.

http://pastebin.test.redhat.com/433564

Also, are we checking the pcs status of all the three processes(nfs-block, cluster-ip, nfs-unblock) of each node to be in Started state?

Comment 10 Arthy Loganathan 2016-11-30 15:03:55 UTC
If nodes are in failover state, the status output shows HA status as BAD instead of FAILOVER and the failover node and VIP is not printed in the output.

[root@dhcp46-42 ~]# /usr/libexec/ganesha/ganesha-ha.sh --status
Online: [ dhcp46-101.lab.eng.blr.redhat.com dhcp46-42.lab.eng.blr.redhat.com dhcp47-155.lab.eng.blr.redhat.com ]

dhcp46-42.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-42.lab.eng.blr.redhat.com
dhcp46-101.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-101.lab.eng.blr.redhat.com
dhcp47-155.lab.eng.blr.redhat.com-cluster_ip-1 dhcp47-155.lab.eng.blr.redhat.com

Cluster HA Status: BAD

Updated the review with same comments.

Comment 11 Atin Mukherjee 2016-12-04 05:23:39 UTC
upstream mainline : http://review.gluster.org/15882
release-3.9 : http://review.gluster.org/15991
release-3.8 : http://review.gluster.org/15992

downstream : https://code.engineering.redhat.com/gerrit/#/c/91878/

Comment 13 Arthy Loganathan 2016-12-12 11:34:29 UTC
Verified the fix in build,
glusterfs-ganesha-3.8.4-7.el7rhgs.x86_64
nfs-ganesha-2.4.1-2.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-2.el7rhgs.x86_64

ganesha-ha.sh --status output:
-------------------------------

[root@dhcp46-111 ~]# /usr/libexec/ganesha/ganesha-ha.sh --status /run/gluster/shared_storage/nfs-ganesha/
Online: [ dhcp46-111.lab.eng.blr.redhat.com dhcp46-115.lab.eng.blr.redhat.com dhcp46-124.lab.eng.blr.redhat.com ]

dhcp46-111.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-111.lab.eng.blr.redhat.com
dhcp46-115.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-115.lab.eng.blr.redhat.com
dhcp46-139.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-115.lab.eng.blr.redhat.com
dhcp46-124.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-124.lab.eng.blr.redhat.com

Cluster HA Status: FAILOVER


[root@dhcp46-111 ~]# /usr/libexec/ganesha/ganesha-ha.sh --status /run/gluster/shared_storage/nfs-ganesha/
Online: [ dhcp46-111.lab.eng.blr.redhat.com dhcp46-115.lab.eng.blr.redhat.com ]

dhcp46-111.lab.eng.blr.redhat.com-cluster_ip-1
dhcp46-115.lab.eng.blr.redhat.com-cluster_ip-1
dhcp46-139.lab.eng.blr.redhat.com-cluster_ip-1
dhcp46-124.lab.eng.blr.redhat.com-cluster_ip-1

Cluster HA Status: BAD

[root@dhcp46-115 ~]# /usr/libexec/ganesha/ganesha-ha.sh --status /run/gluster/shared_storage/nfs-ganesha/
Online: [ dhcp46-111.lab.eng.blr.redhat.com dhcp46-115.lab.eng.blr.redhat.com dhcp46-124.lab.eng.blr.redhat.com dhcp46-139.lab.eng.blr.redhat.com ]

dhcp46-111.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-111.lab.eng.blr.redhat.com
dhcp46-115.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-115.lab.eng.blr.redhat.com
dhcp46-139.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-139.lab.eng.blr.redhat.com
dhcp46-124.lab.eng.blr.redhat.com-cluster_ip-1 dhcp46-124.lab.eng.blr.redhat.com

Cluster HA Status: HEALTHY

Comment 15 errata-xmlrpc 2017-03-23 06:18:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.